<?php

require_once "class.Utility.php";

require_once $_SERVER['DOCUMENT_ROOT'].'/php/testToken/config/core.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/php/testToken/libs/php-jwt-master/src/BeforeValidException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/php/testToken/libs/php-jwt-master/src/ExpiredException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/php/testToken/libs/php-jwt-master/src/SignatureInvalidException.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/php/testToken/libs/php-jwt-master/src/JWT.php';
use \Firebase\JWT\JWT;

$token = Utility::getToken();

$jwt = isset($token) ? $token : "";

if(!empty($jwt)){
	try{
		$decoded = JWT::decode($jwt,$key,array('HS256'));
	}catch(Exception $e){
		http_response_code(401);//401 (Unauthorized)
		echo json_encode(array("message"=>"access denied","error"=>$e->getMessage())); 
		die();
	}
}else{
	http_response_code(401);//401 (Unauthorized)
	echo json_encode(array("message"=>"access denied","error"=>"no token found"));
	die();
}

?>